Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSpacerItem Class Reference

The TQSpacerItem class provides blank space in a layout. More...

`#include <ntqlayout.h>`

Inherits TQLayoutItem.

List of all member functions.

## Public Members

- TQSpacerItem ( int w, int h, TQSizePolicy::SizeType hData = TQSizePolicy::Minimum, TQSizePolicy::SizeType vData = TQSizePolicy::Minimum )
- void changeSize ( int w, int h, TQSizePolicy::SizeType hData = TQSizePolicy::Minimum, TQSizePolicy::SizeType vData = TQSizePolicy::Minimum )
- virtual TQSize sizeHint () const
- virtual TQSize minimumSize () const
- virtual TQSize maximumSize () const
- virtual TQSizePolicy::ExpandData expanding () const
- virtual bool isEmpty () const
- virtual void setGeometry ( const TQRect & r )

## Detailed Description

The TQSpacerItem class provides blank space in a layout.

This class is used by custom layouts.

See also TQLayout, TQLayout::spacerItem(), Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### TQSpacerItem::TQSpacerItem ( int w, int h, TQSizePolicy::SizeType hData = TQSizePolicy::Minimum, TQSizePolicy::SizeType vData = TQSizePolicy::Minimum )

Constructs a spacer item with preferred width w, preferred height h, horizontal size policy hData and vertical size policy vData.

The default values provide a gap that is able to stretch if nothing else wants the space.

### void TQSpacerItem::changeSize ( int w, int h, TQSizePolicy::SizeType hData = TQSizePolicy::Minimum, TQSizePolicy::SizeType vData = TQSizePolicy::Minimum )

Changes this spacer item to have preferred width w, preferred height h, horizontal size policy hData and vertical size policy vData.

The default values provide a gap that is able to stretch if nothing else wants the space.

### TQSizePolicy::ExpandData TQSpacerItem::expanding () const`[virtual]`

Returns the direction in which this spacer item will expand.

See also TQSizePolicy::ExpandData.

Reimplemented from TQLayoutItem.

### bool TQSpacerItem::isEmpty () const`[virtual]`

Returns TRUE because a spacer item never contains widgets.

Reimplemented from TQLayoutItem.

### TQSize TQSpacerItem::maximumSize () const`[virtual]`

Returns the maximum size of this spacer item.

Reimplemented from TQLayoutItem.

### TQSize TQSpacerItem::minimumSize () const`[virtual]`

Returns the minimum size of this spacer item.

Reimplemented from TQLayoutItem.

### void TQSpacerItem::setGeometry ( const TQRect & r )`[virtual]`

Stores the spacer item's rect r so that it can be returned by geometry().

Reimplemented from TQLayoutItem.

### TQSize TQSpacerItem::sizeHint () const`[virtual]`

Returns the preferred size of this spacer item.

Reimplemented from TQLayoutItem.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.